NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::BendOptions Class Reference

Represents a Sheetmetal Bend Options class. More...

Inheritance diagram for NXOpen::Features::SheetMetal::BendOptions:
NXOpen::TaggedObject

Public Types

enum  BendReliefTypeOptions { BendReliefTypeOptionsNone, BendReliefTypeOptionsSquare, BendReliefTypeOptionsRound }
 This enum represents the bend relief type. More...
 
enum  CornerReliefTypeOptions { CornerReliefTypeOptionsNone, CornerReliefTypeOptionsBendOnly, CornerReliefTypeOptionsBendAndFace, CornerReliefTypeOptionsBendAndFaceChain }
 This enum represents the corner relief type. More...
 

Public Member Functions

NXOpen::ExpressionBendRadius ()
 Returns the bend radius. More...
 
NXOpen::ExpressionBendReliefDepth ()
 Returns the bend relief depth. More...
 
NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions BendReliefType ()
 Returns the bend relief type. More...
 
NXOpen::ExpressionBendReliefWidth ()
 Returns the bend relief width. More...
 
NXOpen::Features::SheetMetal::BendOptions::CornerReliefTypeOptions CornerReliefType ()
 Returns the corner relief type. More...
 
int DieToolId ()
 Returns the die tool id selected
Created in NX12.0.0. More...
 
NXString DieToolIdName ()
 Returns the die tool id string selected
Created in NX12.0.0. More...
 
bool ExtendBendRelief ()
 Returns the option to extend the bend relief if required. More...
 
NXOpen::ExpressionNeutralFactor ()
 Returns the neutral factor. More...
 
bool OverrideToolSet ()
 Returns the override tool set toggle value. More...
 
int PunchToolId ()
 Returns the punch tool id selected
Created in NX12.0.0. More...
 
NXString PunchToolIdName ()
 Returns the punch tool id string selected
Created in NX12.0.0. More...
 
void SetBendRadius (const NXString &radius)
 Sets the bend radius. More...
 
void SetBendRadius (const char *radius)
 Sets the bend radius. More...
 
void SetBendReliefDepth (const NXString &depth)
 Sets the bend relief depth. More...
 
void SetBendReliefDepth (const char *depth)
 Sets the bend relief depth. More...
 
void SetBendReliefType (NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions type)
 Sets the bend relief type. More...
 
void SetBendReliefWidth (const NXString &width)
 Sets the bend relief width. More...
 
void SetBendReliefWidth (const char *width)
 Sets the bend relief width. More...
 
void SetCornerReliefType (NXOpen::Features::SheetMetal::BendOptions::CornerReliefTypeOptions type)
 Sets the corner relief type. More...
 
void SetDieToolId (int dieToolId)
 Sets the die tool id selected
Created in NX12.0.0. More...
 
void SetDieToolIdName (const NXString &dieToolId)
 Sets the die tool id string selected
Created in NX12.0.0. More...
 
void SetDieToolIdName (const char *dieToolId)
 Sets the die tool id string selected
Created in NX12.0.0. More...
 
void SetExtendBendRelief (bool extend)
 Sets the option to extend the bend relief if required. More...
 
void SetNeutralFactor (const NXString &neutralFactor)
 Sets the neutral factor. More...
 
void SetNeutralFactor (const char *neutralFactor)
 Sets the neutral factor. More...
 
void SetOverrideToolSet (bool overrideToolSet)
 Sets the override tool set toggle value. More...
 
void SetPunchToolId (int punchToolId)
 Sets the punch tool id selected
Created in NX12.0.0. More...
 
void SetPunchToolIdName (const NXString &punchToolId)
 Sets the punch tool id string selected
Created in NX12.0.0. More...
 
void SetPunchToolIdName (const char *punchToolId)
 Sets the punch tool id string selected
Created in NX12.0.0. More...
 
void SetUseGlobalBendRadius (bool useGlobalBendRadius)
 Sets the Use Global Bend Radius toggle. More...
 
void SetUseGlobalNeutralFactor (bool useGlobalNeutralFactor)
 Sets the Use Global Neutral Factor toggle. More...
 
void SetUseGlobalReliefDepth (bool useGlobalReliefDepth)
 Sets the Use Global Relief Depth toggle. More...
 
void SetUseGlobalReliefWidth (bool useGlobalReliefWidth)
 Sets the Use Global Relief Width toggle. More...
 
bool UseGlobalBendRadius ()
 Returns the Use Global Bend Radius toggle. More...
 
bool UseGlobalNeutralFactor ()
 Returns the Use Global Neutral Factor toggle. More...
 
bool UseGlobalReliefDepth ()
 Returns the Use Global Relief Depth toggle. More...
 
bool UseGlobalReliefWidth ()
 Returns the Use Global Relief Width toggle. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Sheetmetal Bend Options class.


Created in NX4.0.0.

Member Enumeration Documentation

This enum represents the bend relief type.

Enumerator
BendReliefTypeOptionsNone 

igRipBendRelief

BendReliefTypeOptionsSquare 

igRectangularBendRelief

BendReliefTypeOptionsRound 

igFilletBendRelief

This enum represents the corner relief type.

Enumerator
CornerReliefTypeOptionsNone 

none

CornerReliefTypeOptionsBendOnly 

igBendOnlyCornerRelief

CornerReliefTypeOptionsBendAndFace 

igBendAndFaceCornerRelief

CornerReliefTypeOptionsBendAndFaceChain 

igChainedCornerRelief

Member Function Documentation

NXOpen::Expression* NXOpen::Features::SheetMetal::BendOptions::BendRadius ( )

Returns the bend radius.


Created in NX4.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::BendOptions::BendReliefDepth ( )

Returns the bend relief depth.

Applicable only if NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .


Created in NX4.0.0.

License requirements : None

NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions NXOpen::Features::SheetMetal::BendOptions::BendReliefType ( )

Returns the bend relief type.


Specify Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone if you do not want a bend relief. Specify Features::SheetMetal::BendOptions::BendReliefTypeOptionsSquare for a square/rectangular bend relief. Specify Features::SheetMetal::BendOptions::BendReliefTypeOptionsRound for a rounded bend relief.


Created in NX4.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::BendOptions::BendReliefWidth ( )

Returns the bend relief width.

Applicable only if NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .


Created in NX4.0.0.

License requirements : None

NXOpen::Features::SheetMetal::BendOptions::CornerReliefTypeOptions NXOpen::Features::SheetMetal::BendOptions::CornerReliefType ( )

Returns the corner relief type.

Use one of the values from NXOpen::Features::SheetMetal::BendOptions::CornerReliefTypeOptions .


Created in NX4.0.0.

License requirements : None

int NXOpen::Features::SheetMetal::BendOptions::DieToolId ( )

Returns the die tool id selected
Created in NX12.0.0.



License requirements : None

NXString NXOpen::Features::SheetMetal::BendOptions::DieToolIdName ( )

Returns the die tool id string selected
Created in NX12.0.0.



License requirements : None

bool NXOpen::Features::SheetMetal::BendOptions::ExtendBendRelief ( )

Returns the option to extend the bend relief if required.

This only applies if the bend relief type is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .


Created in NX4.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::BendOptions::NeutralFactor ( )

Returns the neutral factor.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::SheetMetal::BendOptions::OverrideToolSet ( )

Returns the override tool set toggle value.


Created in NX12.0.0.

License requirements : None

int NXOpen::Features::SheetMetal::BendOptions::PunchToolId ( )

Returns the punch tool id selected
Created in NX12.0.0.



License requirements : None

NXString NXOpen::Features::SheetMetal::BendOptions::PunchToolIdName ( )

Returns the punch tool id string selected
Created in NX12.0.0.



License requirements : None

void NXOpen::Features::SheetMetal::BendOptions::SetBendRadius ( const NXString radius)

Sets the bend radius.


Deprecated:
Deprecated in NX10.0.0. Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from Features::SheetMetal::BendOptions::BendRadius instead.


Created in NX4.0.0.

License requirements : None

Parameters
radiusradius
void NXOpen::Features::SheetMetal::BendOptions::SetBendRadius ( const char *  radius)

Sets the bend radius.


Deprecated:
Deprecated in NX10.0.0. Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from Features::SheetMetal::BendOptions::BendRadius instead.


Created in NX4.0.0.

License requirements : None

Parameters
radiusradius
void NXOpen::Features::SheetMetal::BendOptions::SetBendReliefDepth ( const NXString depth)

Sets the bend relief depth.

Applicable only if NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .


Deprecated:
Deprecated in NX10.0.0. Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from Features::SheetMetal::BendOptions::BendReliefDepth instead.


Created in NX4.0.0.

License requirements : None

Parameters
depthdepth
void NXOpen::Features::SheetMetal::BendOptions::SetBendReliefDepth ( const char *  depth)

Sets the bend relief depth.

Applicable only if NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .


Deprecated:
Deprecated in NX10.0.0. Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from Features::SheetMetal::BendOptions::BendReliefDepth instead.


Created in NX4.0.0.

License requirements : None

Parameters
depthdepth
void NXOpen::Features::SheetMetal::BendOptions::SetBendReliefType ( NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions  type)

Sets the bend relief type.


Specify Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone if you do not want a bend relief. Specify Features::SheetMetal::BendOptions::BendReliefTypeOptionsSquare for a square/rectangular bend relief. Specify Features::SheetMetal::BendOptions::BendReliefTypeOptionsRound for a rounded bend relief.


Created in NX4.0.0.

License requirements : None

Parameters
typetype
void NXOpen::Features::SheetMetal::BendOptions::SetBendReliefWidth ( const NXString width)

Sets the bend relief width.

Applicable only if NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .


Deprecated:
Deprecated in NX10.0.0. Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from Features::SheetMetal::BendOptions::BendReliefWidth instead.


Created in NX4.0.0.

License requirements : None

Parameters
widthwidth
void NXOpen::Features::SheetMetal::BendOptions::SetBendReliefWidth ( const char *  width)

Sets the bend relief width.

Applicable only if NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .


Deprecated:
Deprecated in NX10.0.0. Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from Features::SheetMetal::BendOptions::BendReliefWidth instead.


Created in NX4.0.0.

License requirements : None

Parameters
widthwidth
void NXOpen::Features::SheetMetal::BendOptions::SetCornerReliefType ( NXOpen::Features::SheetMetal::BendOptions::CornerReliefTypeOptions  type)

Sets the corner relief type.

Use one of the values from NXOpen::Features::SheetMetal::BendOptions::CornerReliefTypeOptions .


Created in NX4.0.0.

License requirements : None

Parameters
typetype
void NXOpen::Features::SheetMetal::BendOptions::SetDieToolId ( int  dieToolId)

Sets the die tool id selected
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
dieToolIddietoolid
void NXOpen::Features::SheetMetal::BendOptions::SetDieToolIdName ( const NXString dieToolId)

Sets the die tool id string selected
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
dieToolIddietoolid
void NXOpen::Features::SheetMetal::BendOptions::SetDieToolIdName ( const char *  dieToolId)

Sets the die tool id string selected
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
dieToolIddietoolid
void NXOpen::Features::SheetMetal::BendOptions::SetExtendBendRelief ( bool  extend)

Sets the option to extend the bend relief if required.

This only applies if the bend relief type is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .


Created in NX4.0.0.

License requirements : None

Parameters
extendextend
void NXOpen::Features::SheetMetal::BendOptions::SetNeutralFactor ( const NXString neutralFactor)

Sets the neutral factor.


Deprecated:
Deprecated in NX10.0.0. Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from Features::SheetMetal::BendOptions::NeutralFactor instead.


Created in NX4.0.0.

License requirements : None

Parameters
neutralFactorneutral factor
void NXOpen::Features::SheetMetal::BendOptions::SetNeutralFactor ( const char *  neutralFactor)

Sets the neutral factor.


Deprecated:
Deprecated in NX10.0.0. Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from Features::SheetMetal::BendOptions::NeutralFactor instead.


Created in NX4.0.0.

License requirements : None

Parameters
neutralFactorneutral factor
void NXOpen::Features::SheetMetal::BendOptions::SetOverrideToolSet ( bool  overrideToolSet)

Sets the override tool set toggle value.


Created in NX12.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
overrideToolSetoverridetoolset
void NXOpen::Features::SheetMetal::BendOptions::SetPunchToolId ( int  punchToolId)

Sets the punch tool id selected
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
punchToolIdpunchtoolid
void NXOpen::Features::SheetMetal::BendOptions::SetPunchToolIdName ( const NXString punchToolId)

Sets the punch tool id string selected
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
punchToolIdpunchtoolid
void NXOpen::Features::SheetMetal::BendOptions::SetPunchToolIdName ( const char *  punchToolId)

Sets the punch tool id string selected
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
punchToolIdpunchtoolid
void NXOpen::Features::SheetMetal::BendOptions::SetUseGlobalBendRadius ( bool  useGlobalBendRadius)

Sets the Use Global Bend Radius toggle.


Created in NX6.0.0.

License requirements : None

Parameters
useGlobalBendRadiususeglobalbendradius
void NXOpen::Features::SheetMetal::BendOptions::SetUseGlobalNeutralFactor ( bool  useGlobalNeutralFactor)

Sets the Use Global Neutral Factor toggle.


Created in NX6.0.0.

License requirements : None

Parameters
useGlobalNeutralFactoruseglobalneutralfactor
void NXOpen::Features::SheetMetal::BendOptions::SetUseGlobalReliefDepth ( bool  useGlobalReliefDepth)

Sets the Use Global Relief Depth toggle.


Created in NX6.0.0.

License requirements : None

Parameters
useGlobalReliefDepthuseglobalreliefdepth
void NXOpen::Features::SheetMetal::BendOptions::SetUseGlobalReliefWidth ( bool  useGlobalReliefWidth)

Sets the Use Global Relief Width toggle.


Created in NX6.0.0.

License requirements : None

Parameters
useGlobalReliefWidthuseglobalreliefwidth
bool NXOpen::Features::SheetMetal::BendOptions::UseGlobalBendRadius ( )

Returns the Use Global Bend Radius toggle.


Created in NX6.0.0.

License requirements : None

bool NXOpen::Features::SheetMetal::BendOptions::UseGlobalNeutralFactor ( )

Returns the Use Global Neutral Factor toggle.


Created in NX6.0.0.

License requirements : None

bool NXOpen::Features::SheetMetal::BendOptions::UseGlobalReliefDepth ( )

Returns the Use Global Relief Depth toggle.


Created in NX6.0.0.

License requirements : None

bool NXOpen::Features::SheetMetal::BendOptions::UseGlobalReliefWidth ( )

Returns the Use Global Relief Width toggle.


Created in NX6.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.